Skip to content
GET /sync-job-template

Query Parameters

idstring · uuid

Filter by template ID.

integration_namestring

Filter by integration name.

team_idstring · uuid

Filter by team ID.

labelstring

Filter by template label.

Response Body

args_schemaobject
required·

Optional JSON schema describing arguments for the sync job.

Example: { "type": "object", "properties": { "project_slug": { "type": "string", "description": "The project slug of the project on CircleCI. Its in the format vcs_provider/org_name/repo_name.", "required": true } } }
$refstring
additionalPropertiesboolean
default
descriptionstring
propertiesRecord<string, any>

Map of property name → JsonSchemaObjectProperties.

requiredboolean
typestring
Possible values:
object
created_atstring · date-time

When the template was created.

Example: 2024-01-10T10:00:00.000Z
default_runtime_versionnumber

The runtime version for any sync job that uses this template.

Example: 2
descriptionstring

Optional longer description of what this template does.

Example: Fetches contacts from Zendesk
idstring · uuid

The unique ID of the sync job template.

integration_namestring

The integration name to which this template applies. Is null for default_runtime_version > 4.

Example: zendesk
labelstring

A short descriptor for the template.

Example: Zendesk contacts sync
resourcesobject[]

A list of sync job resources that define the steps. If empty, no default resources are set.

depends_onstring

The resource that this resource depends on (parent resource). This is optional and can be used to sync a resource only after another resource has been synced. Each object synced for the parent resource is available as the resources object in placeholders for the child resource, e.g. {{resources.crm.contacts.id}} if depends on is crm/contacts resource.

Example: crm/contacts
idstring

The ID of the resource to sync. This is optional and can be used to sync a single resource. It also supports placeholders.

Example: Static value like `4a4de828-f4db-4c9e-adfd-434e0864c3c7` or placeholder like `{{args.user_id}}`.
loop_onstring

When a particular placeholder argument is an array and you want to repeat the request for each element in that array, you can set this parameter. For example, if you accept an argument called user_ids which is an array of strings, and you want to fetch each user's details, you can set this parameter to user_ids and the request will be repeated for each element in the user_ids array.

Example: {"{ args.user_ids }":null}
methodstring

The method to call on the resource.

Example: list
persistboolean

Whether to persist the resource in the database or not in case of a Daemon sync job run or send as a payload in case of RapidBridge sync job run. The Proxy API resources are by default NOT persisted and this parameter can be set to true to persist them. Unified API resources are always persisted.

queryRecord<string, any>

The query parameters to pass to the resource method. It supports placeholders for values.

Example: { "page": 1, "per_page": 100, "user_id": "{{args.user_id}}" }
resourcestring

The name of the resource to sync. For Unified APIs, it should be in the format unified_api_name/resource_name. For Proxy API, it can just be resource_name.

Example: For fetching Contacts from CRM Unified API, `crm/contacts`. For fetching Contacts from a Proxy API, `contacts`.
sharingstring

The sharing policy of the template.

Example: deny
Possible values:
allowaskdeny
team_idstring · uuid

The team that owns this template.

Example: 05daecaf-4365-42e8-8370-8127de5dd717
updated_atstring · date-time

When the template was last updated.

Example: 2024-01-11T12:30:00.000Z
curl -X GET 'https://api.truto.one/sync-job-template' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/sync-job-template', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/sync-job-template"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())